Skip to main content
GET
/
health
Health check
curl --request GET \
  --url https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/health \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/health"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sbx-{sandbox_id}-{workspace_id}.{region}.bl.run/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "arch": "amd64",
  "buildTime": "2026-01-29T17:36:52.000Z",
  "gitCommit": "abc123",
  "goVersion": "go1.25.0",
  "lastUpgrade": {
    "status": "running",
    "step": "download",
    "version": "latest",
    "binaryPath": "/tmp/sandbox-api-new",
    "bytesDownloaded": 25034936,
    "downloadUrl": "https://github.com/...",
    "error": "Failed to download binary",
    "lastAttempt": "<string>"
  },
  "os": "linux",
  "startedAt": "2026-01-29T18:45:49.000Z",
  "status": "ok",
  "upgradeCount": 0,
  "uptime": "1h30m",
  "uptimeSeconds": 5400.5,
  "version": "v0.1.0"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

Health status

arch
string
required
Example:

"amd64"

buildTime
string
required
Example:

"2026-01-29T17:36:52.000Z"

gitCommit
string
required
Example:

"abc123"

goVersion
string
required
Example:

"go1.25.0"

lastUpgrade
object
required
os
string
required
Example:

"linux"

startedAt
string
required
Example:

"2026-01-29T18:45:49.000Z"

status
string
required
Example:

"ok"

upgradeCount
integer
required
Example:

0

uptime
string
required
Example:

"1h30m"

uptimeSeconds
number
required
Example:

5400.5

version
string
required
Example:

"v0.1.0"

Last modified on June 17, 2026